Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class ModuleGenerators

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager
          com.sun.syndication.io.impl.ModuleGenerators

    public class ModuleGenerators

extends PluginManager

Constructor Summary
`ModuleGenerators(String propertyKey, BaseWireFeedGenerator parentGenerator)`

Method Summary
`void` | `generateModules(List modules, org.jdom.Element element)`
`Set` | `getAllNamespaces()`
`ModuleGenerator` | `getGenerator(String uri)`
`protected String` | `getKey(Object obj)`
`List` | `getModuleNamespaces()`

Methods inherited from class com.sun.syndication.io.impl.PluginManager
`getKeys, getPlugin, getPluginMap, getPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleGenerators

    public ModuleGenerators(String propertyKey,
                            BaseWireFeedGenerator parentGenerator)

Method Detail

### getGenerator

    public ModuleGenerator getGenerator(String uri)

### getKey

    protected String getKey(Object obj)

  Specified by:
    `getKey` in class `PluginManager`

### getModuleNamespaces

    public List getModuleNamespaces()

### generateModules

    public void generateModules(List modules,
                                org.jdom.Element element)

### getAllNamespaces

    public Set getAllNamespaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.